Subject: New (name change): 6.2.2.1 "cmdid" Attribute

From: Doug Royer <[email-masked]>
Date: Sat, 16 Feb 2002 17:56:12 -0700

(was id)

6.2.2.1 "cmdid" Attribute

   The "cmdid" attribute is an optional identifier for the command. 
When
   specified, the CS will include this attribute in all the related
   messages it returns to the client.

   The "cmdid" attribute is mainly useful for the "timeout" message (see
   Section 3.3).  The CAP server imposes no restriction on the value.
   If uniqueness is required, then it is the responsibility of the CUA
   to generate unique values.

   If supplied then the property CMDID MUST BE supplied and with
   the same value in any iCalendar object sent in the same command.

   If the CUA wishes to abort a command at any time, an abort 
   command may be sent on a separate BEEP channel with the 'cmdid'
   to be aborted supplied in the abort command:

     <abort cmdid='other cmdid one to abort'/>